Package org.eclipse.ecf.provider.comm

# Class ConnectionCreateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.provider.comm.ConnectionCreateException

All Implemented Interfaces:
  `Serializable`

public class ConnectionCreateException extends ECFException
Exception class for connection creation exceptions

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConnectionCreateException()`
`ConnectionCreateException(String message)`
`ConnectionCreateException(String message, Throwable cause)`
`ConnectionCreateException(Throwable cause)`
`ConnectionCreateException(org.eclipse.core.runtime.IStatus status)`

## Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConnectionCreateException

public ConnectionCreateException(org.eclipse.core.runtime.IStatus status)

### ConnectionCreateException

public ConnectionCreateException()

### ConnectionCreateException

public ConnectionCreateException(String message)

### ConnectionCreateException

public ConnectionCreateException(Throwable cause)

### ConnectionCreateException

public ConnectionCreateException(String message, Throwable cause)